Package org.apache.sysds.runtime.io.hdf5

# Class H5BTree

java.lang.Object
org.apache.sysds.runtime.io.hdf5.H5BTree

public class H5BTree extends Object

## Constructor Summary

Constructors
Constructor
Description
`H5BTree(H5RootObject rootObject, byte nodeType, byte nodeLevel, int entriesUsed, long leftSiblingAddress, long rightSiblingAddress, List<Long> childAddresses)`
`H5BTree(H5RootObject rootObject, long address)`

## Method Summary

Modifier and Type
Method
Description
`List<Long>`
`getChildAddresses()`
`static ByteBuffer`
`readHeaderAndValidateSignature(H5RootObject rootObject, long address)`
`H5BufferBuilder`
`toBuffer()`
`void`
`toBuffer(H5BufferBuilder bb)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### H5BTree

public H5BTree(H5RootObject rootObject, byte nodeType, byte nodeLevel, int entriesUsed, long leftSiblingAddress, long rightSiblingAddress, List<Long> childAddresses)

### H5BTree

public H5BTree(H5RootObject rootObject, long address)

## Method Details

### toBuffer

public H5BufferBuilder toBuffer()

### toBuffer

public void toBuffer(H5BufferBuilder bb)

### readHeaderAndValidateSignature

public static ByteBuffer readHeaderAndValidateSignature(H5RootObject rootObject, long address)

### getChildAddresses

public List<Long> getChildAddresses()